Order GOV document
curl --request POST \
--url https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/ \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"registrationNumber": "<string>",
"companyName": "<string>",
"productKey": "<string>",
"region": "<string>"
}
'import requests
url = "https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/"
payload = {
"registrationNumber": "<string>",
"companyName": "<string>",
"productKey": "<string>",
"region": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
registrationNumber: '<string>',
companyName: '<string>',
productKey: '<string>',
region: '<string>'
})
};
fetch('https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"registrationNumber\": \"<string>\",\n \"companyName\": \"<string>\",\n \"productKey\": \"<string>\",\n \"region\": \"<string>\"\n}")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
request.AddJsonBody("{\n \"registrationNumber\": \"<string>\",\n \"companyName\": \"<string>\",\n \"productKey\": \"<string>\",\n \"region\": \"<string>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/"
payload := strings.NewReader("{\n \"registrationNumber\": \"<string>\",\n \"companyName\": \"<string>\",\n \"productKey\": \"<string>\",\n \"region\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"registrationNumber\": \"<string>\",\n \"companyName\": \"<string>\",\n \"productKey\": \"<string>\",\n \"region\": \"<string>\"\n}")
val request = Request.Builder()
.url("https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/")
.post(body)
.addHeader("Authorization", "Basic <encoded-value>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute()import Foundation
let parameters = [
"registrationNumber": "<string>",
"companyName": "<string>",
"productKey": "<string>",
"region": "<string>"
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://ivs.idenfy.com/api/v2/gov-ordered-documents/document-order/")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))Order GOV document
POST
/
api
/
v2
/
gov-ordered-documents
/
document-order
/
Order GOV document
Authorizations
The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.
Body
application/json
Available options:
AL, AM, AR, AT, AU, AW, AZ, BA, BB, BD, BE, BG, BH, BN, BO, BQ, BR, BW, BY, BZ, CA, CH, CN, CO, CR, CW, CY, CZ, DE, DK, DO, EC, EE, ES, FI, FR, GB, GE, GG, GH, GI, GR, HK, HR, HU, ID, IE, IL, IM, IN, IS, IT, JE, JO, KH, KW, KY, LI, LK, LS, LT, LU, LV, MA, ME, MH, MM, MT, MU, MY, NL, NO, NZ, PE, PH, PK, PL, PR, PT, QA, RO, RS, RU, SB, SE, SG, SI, SK, TH, TN, TO, TR, TT, TW, UG, US, UY, VG, VI, VN, VU, WS, ZA External company ID from GOV registers search should be used.
Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Response
200
No response body
Was this page helpful?
⌘I